Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core
Class InstrProperties

    java.lang.Object
      avrora.core.InstrProperties

public class InstrProperties
extends java.lang.Object

The `InstrProperties` represents a grab bag of the properties of an instruction. The fields are public and final, which allows fast access from the interpreter.

See Also:
  `Instr`

Field Summary
`int` | `cycles` The `cycles` field stores the minimum number of cycles required to invoke this instruction.
`java.lang.String` | `name` The `name` field stores an immutable reference to the name of the instruction as a string.
`int` | `size` The `size` field stores the size of the instruction in bytes.
`java.lang.String` | `variant` The `variant` field stores an immutable reference to the variant of the instruction as a string.

Constructor Summary
`InstrProperties(java.lang.String n, java.lang.String v, int s, int c)` The constructor for the `InstrProperties` class simply initializes the final fields of this class based on the input parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

  The `name` field stores an immutable reference to the name of the instruction as a string.

### variant

    public final java.lang.String variant

  The `variant` field stores an immutable reference to the variant of the instruction as a string.

### size

    public final int size

  The `size` field stores the size of the instruction in bytes.

### cycles

    public final int cycles

  The `cycles` field stores the minimum number of cycles required to invoke this instruction.

Constructor Detail

### InstrProperties

    public InstrProperties(java.lang.String n,
                           java.lang.String v,
                           int s,
                           int c)

  The constructor for the `InstrProperties` class simply initializes the final fields of this class based on the input parameters.

Parameters:
  `n` - the name of the instruction as a string
  `v` - the variant of the instruction as a string
  `s` - the size of the instruction in bytes
  `c` - the minimum number of cycles required to execute this instruction

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD